###################################################
### chunk number 1: 
###################################################
library(GEOmap)
options(continue = " ")

kliuLL = c(56.056000,   160.640000)
PROJ =setPROJ(type=2, LAT0=kliuLL[1], 	LON0= kliuLL[2] , 	LATS=NULL, LONS=NULL, DLAT=NULL, DLON=NULL, FN =0)



###################################################
### chunk number 2: 
###################################################
 projtype()


###################################################
### chunk number 3: 
###################################################
require('geomapdata')
data(kammap)
plotGEOmap(kammap,  add=FALSE, asp=1)


###################################################
### chunk number 4: 
###################################################
plotGEOmapXY(kammap,  PROJ=PROJ, add=FALSE, xlab="km", ylab="km")


###################################################
### chunk number 5: 
###################################################

  data(cosomap)
     data(faults)
     data(hiways)
     data(owens)
data(cosogeol)
## cosocolnumbers = cosogeol$STROKES$col+1

 proj = cosomap$PROJ
 plotGEOmapXY(cosomap, PROJ=proj,  add=FALSE, ann=FALSE, axes=FALSE)
  
cosogeol = boundGEOmap(cosogeol)
  plotGEOmapXY(cosogeol, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  
  plotGEOmapXY(cosomap, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  
  plotGEOmapXY(faults, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  


###################################################
### chunk number 6: 
###################################################

XMCOL = setXMCOL()

cosocolnumbers = 1:length(cosogeol$STROKES$col)

newcol = XMCOL[cosogeol$STROKES$col]

cosocolnums = cosogeol$STROKES$col
 
cosogeol$STROKES$col = newcol



###################################################
### chunk number 7: 
###################################################
ss = strsplit(cosogeol$STROKES$nam, split="_")     

geo = unlist(lapply(ss  , FUN="getmem", mem=1))
UGEO = unique(geo)

mgeo = match( geo, UGEO )

cosogeol = boundGEOmap(cosogeol)

gcol = paste(sep=".", geo, cosogeol$STROKES$col)


ucol = unique(gcol)


spucol = strsplit(ucol,split="\\.")     
N = length(spucol)

       
names = unlist(lapply(spucol  , FUN="getmem", mem=1))

shades = unlist(lapply(spucol  , FUN="getmem", mem=2))

ORDN = order(names)
 plotGEOmapXY(cosomap, PROJ=proj,  add=FALSE, ann=FALSE, axes=FALSE)
  
  plotGEOmapXY(cosogeol, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  

  plotGEOmapXY(cosomap, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  
  plotGEOmapXY(faults, PROJ=proj,  add=TRUE, ann=FALSE, axes=FALSE)
  geoLEGEND(names[ORDN], shades[ORDN], .28, .14, 16, 6)



###################################################
### chunk number 8: 
###################################################
jvolcs = scan(file="Volc_points.LLZ", what=list(name="", lat=0, lon=0, h=0), sep=" ")
stas = scan(file="newFUJIstation.LLZ", what=list(name="", lat=0, lon=0, h=0), sep=" ")
eqs = scan(file="japan.eng", what=list(lon=0, lat=0, z=0, m=0))




###################################################
### chunk number 9: 
###################################################

ifuji = grep("FUJI", jvolcs$name)
PROJ = setPROJ(type=2, LAT0=jvolcs$lat[ifuji] , LON0=jvolcs$lon[ifuji] )



###################################################
### chunk number 10: 
###################################################
LL = XY.GLOB(c(-150, 150), c(-150,150), PROJ =PROJ)
FUJIAREA = c(LL$lon[1], LL$lat[1], LL$lon[2], LL$lat[2])



###################################################
### chunk number 11: 
###################################################
require("geomapdata")

data("japmap", package="geomapdata")

plotGEOmapXY(japmap,  PROJ=PROJ, xlab="km", ylab="km" )
pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)

rect(-150, -150, 150,150)




###################################################
### chunk number 12: 
###################################################

plotGEOmapXY(japmap,  LIM =FUJIAREA, PROJ=PROJ, xlab="km", ylab="km" )
pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)
textGEOmapXY(jvolcs$lat, jvolcs$lon , PROJ=PROJ, labels = jvolcs$name, cex=.5, pos=3)



###################################################
### chunk number 13: 
###################################################
print(japmap$STROKES$code)


###################################################
### chunk number 14: 
###################################################

isel = which( japmap$STROKES$code != "i" )
plotGEOmapXY(japmap,  LIM =FUJIAREA, PROJ=PROJ, SEL=isel, xlab="km", ylab="km" )
pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)
textGEOmapXY(jvolcs$lat, jvolcs$lon , PROJ=PROJ, labels = jvolcs$name, cex=.5, pos=3)




###################################################
### chunk number 15: 
###################################################
plates = scan(file="Plates.gmt", what="", sep="\n")


###################################################
### chunk number 16: 
###################################################

g = grep("^>", plates)
plates[g[1:10]]




###################################################
### chunk number 17: 
###################################################


PLATES = list(STROKES=list(nam=NULL, num=NULL, index=NULL, col=NULL, style=NULL, code=NULL), 
POINTS=list(lat=NULL, lon=NULL))


K = 0
for(i in 1:length(g))
  {
i1 = g[i]+1
i2 = g[i+1]-1
if(i == length(g)) i2 = length(plates) 
LONLAT = as.numeric(unlist( strsplit( plates[i1:i2], split=" ") ))
lon = LONLAT[seq(from=1, to=length(LONLAT), by=2)]
lat = LONLAT[seq(from=2, to=length(LONLAT), by=2)]

PLATES$POINTS$lat = c(PLATES$POINTS$lat, lat)
PLATES$POINTS$lon = c(PLATES$POINTS$lon, lon)

PLATES$STROKES$nam = c(PLATES$STROKES$nam, paste("PLATE", i, sep="") )
PLATES$STROKES$num = c(PLATES$STROKES$num, length(lat) )
PLATES$STROKES$index = c(PLATES$STROKES$index, K)
PLATES$STROKES$col = c(PLATES$STROKES$col, "blue")
PLATES$STROKES$style = c(PLATES$STROKES$style, 2)
PLATES$STROKES$code  = c(PLATES$STROKES$code, "p")

K = K+length(lat)


  }


PLATES$POINTS$lon = fmod(PLATES$POINTS$lon, 360)
PLATES = boundGEOmap(PLATES, NEGLON =FALSE)

PLATES$PROJ = PROJ



###################################################
### chunk number 18: 
###################################################
data(worldmap)

plotGEOmap(worldmap, asp=1)
plotGEOmap(PLATES, add=TRUE)



###################################################
### chunk number 19: 
###################################################

plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="km", ylab="km" )
pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)
pointsGEOmapXY(eqs$lat,eqs$lon, PROJ=PROJ, col='green', pch=".", cex=2)

plotGEOmapXY(PLATES, PROJ=PROJ, add=TRUE)



###################################################
### chunk number 20: 
###################################################

rcol = rainbow(120)

ecol = 1+floor( 99* (eqs$z-min(eqs$z))/(max(eqs$z)-min(eqs$z)) )

plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="km", ylab="km" )
##  pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)
pointsGEOmapXY(eqs$lat,eqs$lon, PROJ=PROJ,  pch=".", cex=2, col=rcol[ecol])
plotGEOmapXY(PLATES, PROJ=PROJ, add=TRUE)



###################################################
### chunk number 21: 
###################################################
print(sizelegend)


###################################################
### chunk number 22: 
###################################################

esiz = exp(eqs$m)

rsiz = RESCALE(esiz, .4, 10, min(esiz), max(esiz))

plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="", ylab="", axes=FALSE )

##  pointsGEOmapXY(jvolcs$lat, jvolcs$lon, PROJ=PROJ, col='red', pch=2, cex=.5)
PLAT =  pretty(eqs$lat)
PLON =  pretty(eqs$lon)

 addLLXY(PLAT ,PLON , GRIDcol="black", LABS=0, BORDER=0 , PROJ=PROJ )

pointsGEOmapXY(eqs$lat,eqs$lon, PROJ=PROJ,  pch=rep(1, length(rsiz)) , cex=rsiz, col=rcol[ecol])
plotGEOmapXY(PLATES, PROJ=PROJ, add=TRUE)


HOZscale(eqs$z, rcol[1:100] , units = "km depth", SIDE = 1, s1 = 0.5, s2 = 0.95)


##  location of zebra: zeb = locator(); DUMPLOC(zeb)

zeb=list()
zeb$x=c(458.266070479352,870.677297484252)
zeb$y=c(-129.768792704472,-12.2491966665725)



zebra(zeb$x[1],zeb$y[1], 500, 100, 60, lab="Km", cex=.6)


am = pretty(eqs$m)
am = am[am>min(eqs$m) & am<max(eqs$m) ]

em = exp(am)
se = RESCALE(em, .4, 10, min(esiz), max(esiz))

sizelegend(se, am, pch=1)

plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="km", ylab="km", add=TRUE )

## plotGEOmapXY(worldmap,  PROJ=PROJ, add=TRUE )


###################################################
### chunk number 23: 
###################################################
EXY = GLOB.XY(eqs$lat,eqs$lon, PROJ)
PLAT =  pretty(eqs$lat)
PLON =  pretty(eqs$lon)


esiz = exp(eqs$m)

rsiz = RESCALE(esiz, .04, .2, min(esiz), max(esiz))

###  plot with the larges events first so they do not
###  cover the smaller ones

ordsiz = order(rsiz, decreasing = TRUE)


acol=rcol[ecol]

plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="", ylab="", axes=FALSE )

 addLLXY(PLAT ,PLON , GRIDcol="black", LABS=0, BORDER=0 , PROJ=PROJ )

pgon(EXY$x[ordsiz],EXY$y[ordsiz], siz=rsiz[ordsiz], col=acol[ordsiz], border='black', startalph =60, K=5, lwd=.5, xpd=TRUE)


plotGEOmapXY(PLATES, PROJ=PROJ, add=TRUE)
plotGEOmapXY(japmap,  PROJ=PROJ, SEL=isel, xlab="", ylab="", axes=FALSE, add=TRUE )
HOZscale(eqs$z, rcol[1:100] , units = "km depth", SIDE = 1, s1 = 0.5, s2 = 0.95)

                 


###################################################
### chunk number 24: 
###################################################
GEOsymbols()


